import React from 'react';
import { useSelector,useDispatch } from 'react-redux';
import Card from "react-bootstrap/Card";
import Button from 'react-bootstrap/Button';
import { remove } from '../store/cartSlice';

const Cart = () => {
    const productCart=useSelector(state=>state.cart) 

    const dispatch=useDispatch() 

    const removeToCart=(id)=>{
         dispatch(remove(id))
    }


    const cards = productCart.map(product => (
        <div className='col-md-12' style={{ marginBottom: "10px" }}>
            <Card key={product.id} className='h-100'>
                <div className='text-center'>
                    <Card.Img variant="top" src={product.image} style={{ width: "100px", height: "130px" }} />
                </div>
                <Card.Body className='text-center'>
                    <Card.Title>{product.title}</Card.Title>
                    <Card.Text>
                        INR: {product.price}
                    </Card.Text>
                </Card.Body>
                <Card.Footer style={{ backgroundColor: "white",textAlign:"center"}}>
                    <Button variant="danger" onClick={()=>removeToCart(product.id)}>Remove Item</Button>
                </Card.Footer>
            </Card>
        </div>
    ));

    return (
        <div className="row">
           {cards}
        </div>
    );
};

export default Cart;