import React from 'react';
import Container from 'react-bootstrap/Container';
import Nav from 'react-bootstrap/Nav';
import Navbar from 'react-bootstrap/Navbar';
import { useSelector } from 'react-redux';
import { Link } from 'react-router-dom'; 


const NavBar = () => {
    const cardProducts=useSelector(state=>state.cart)  
    return (
        <Navbar expand="lg" className="bg-body-tertiary">
            <Container fluid>
                <Navbar.Brand href="#">Redux Toolkit</Navbar.Brand>
                <Navbar.Toggle/> 
                <Navbar.Collapse>
                    <Nav className="me-auto ">
                        <Nav.Link as={Link} to="/Products">Products</Nav.Link>
                    </Nav>
                    <Navbar.Text className='justify-content-end'>
                        <Nav.Link as={Link} to="/Cart">My Bag {cardProducts.length}</Nav.Link>
                    </Navbar.Text>
                </Navbar.Collapse>
            </Container>
        </Navbar>
    );
};

export default NavBar;
