import React, { useEffect } from 'react'; // Added useEffect to the import
import { useDispatch, useSelector } from 'react-redux'; // Corrected import
import Card from "react-bootstrap/Card";
import Button from 'react-bootstrap/Button';
import { add } from '../store/cartSlice';
import { getProducts } from '../store/productSlice';

//const Url = "https://fakestoreapi.com/products";

const Products = () => {
    const dispatch = useDispatch();
    const {data:products,status}=useSelector(state=>state.products)
    // const [products, setProducts] = useState([]);

    useEffect(() => {
        // const fetchingApi = async (apiurl) => {
        //     const response = await fetch(apiurl);
        //     const data = await response.json();
        //     setProducts(data);
        // }
        
        // fetchingApi(Url);
        //dispatch an action for fetchProducts
         dispatch(getProducts())

    }, [dispatch]);

    if(status==="Loading"){
        return <p>Loading...</p>
    }

    const addToCart = (product) => {
        dispatch(add(product));
    };
     
    const cards = products.map(product => (
        <div className='col-md-3' style={{ marginBottom: "10px" }}>
            <Card key={product.id} className='h-100'>
                <div className='text-center'>
                    <Card.Img variant="top" src={product.image} style={{ width: "100px", height: "130px" }} />
                </div>
                <Card.Body>
                    <Card.Title>{product.title}</Card.Title>
                    <Card.Text>
                        INR: {product.price}
                    </Card.Text>
                </Card.Body>
                <Card.Footer style={{ backgroundColor: "white" }}>
                    <Button variant="primary" onClick={() => addToCart(product)}>Add To Cart</Button>
                </Card.Footer>
            </Card>
        </div>
    ));

    return (
        <div>
            <h1>Products Dashboard</h1>
            <div className='row'>
                {cards}
            </div>
        </div>
    );
};

export default Products;
