import { createSlice } from "@reduxjs/toolkit";
import { createAsyncThunk } from "@reduxjs/toolkit";

const initialState = {
    data: [],
    status:"idle"
}

const productsSlice = createSlice({
    name: "products",
    initialState,
    reducers: {},
    extraReducers: (builder) => {
        builder.addCase(getProducts.pending, (state, action) => {
            state.status = "Loading";
        });
        builder.addCase(getProducts.fulfilled, (state, action) => {
            state.data = action.payload;
            state.status = "idle";
        });
        builder.addCase(getProducts.rejected, (state, action) => { // corrected rejected
            state.status = "error";
        });
    }
});


export default productsSlice.reducer;

export const { fetchProducts } = productsSlice.actions; // Exporting the fetchProducts action creator


export const getProducts=createAsyncThunk("products/get",async ()=>{
    const response = await fetch("https://fakestoreapi.com/products");
    const data = await response.json();
    return data
})





// export function getProducts() {
//     return async function getProductsThunk(dispatch, getState) {
//         try {
//             const response = await fetch("https://fakestoreapi.com/products");
//             const data = await response.json();
//             dispatch(fetchProducts(data)); // Dispatching the fetchProducts action with the fetched data
//         } catch (error) {
//             console.error("Error fetching products:", error);
//         }
//     };
// }
